<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html">
<ui:composition template="/master.xhtml">
    <ui:define name="content">
        <h4>Sign up</h4>
        <h:form>
            <h:outputLabel for="email" value="Email"/>
            <h:inputText id="email" value="#{registrationBean.email}"/>
            <h:message for="email"/>
            <br/>
            <h:outputLabel for="first-name" value="First name"/>
            <h:inputText id="first-name" value="#{registrationBean.firstName}"/>
            <h:message for="first-name"/>
            <br/>
            <h:outputLabel for="last-name" value="Last name"/>
            <h:inputText id="last-name" value="#{registrationBean.lastName}"/>
            <h:message for="last-name"/>
            <br/>
            <h:outputLabel for="password" value="Password"/>
            <h:inputSecret id="password" value="#{registrationBean.password}"/>
            <h:message for="password"/>
            <br/>
            <h:commandButton value="Sign up" action="#{registrationBean.submit()}"/>
        </h:form>
    </ui:define>
</ui:composition>
</html>
